org.keycloak.social.openshift

## Class OpenshiftV4IdentityProviderConfig

- java.lang.Object
- - org.keycloak.models.IdentityProviderModel
  - - org.keycloak.broker.oidc.OAuth2IdentityProviderConfig
    - - org.keycloak.social.openshift.OpenshiftV4IdentityProviderConfig

- All Implemented Interfaces:
    Serializable

      public class OpenshiftV4IdentityProviderConfig
      extends OAuth2IdentityProviderConfig

  OpenShift 4 Identity Provider configuration class.
  Author:
    David Festal and Sebastian Łaskawiec
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `PKCE_ENABLED, PKCE_METHOD`

    - ### Fields inherited from class org.keycloak.models.IdentityProviderModel

      `addReadTokenRoleOnCreate, ALLOWED_CLOCK_SKEW, HIDE_ON_LOGIN, linkOnly, LOGIN_HINT, SYNC_MODE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenshiftV4IdentityProviderConfig()`
    `OpenshiftV4IdentityProviderConfig(IdentityProviderModel identityProviderModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBaseUrl()`
    `void` | `setBaseUrl(String baseUrl)`

    - ### Methods inherited from class org.keycloak.broker.oidc.OAuth2IdentityProviderConfig

      `getAuthorizationUrl, getClientAssertionSigningAlg, getClientAuthMethod, getClientId, getClientSecret, getDefaultScope, getForwardParameters, getPkceMethod, getPrompt, getTokenUrl, getUserInfoUrl, isBasicAuthentication, isJWTAuthentication, isPkceEnabled, isUiLocales, setAuthorizationUrl, setClientAssertionSigningAlg, setClientAuthMethod, setClientId, setClientSecret, setDefaultScope, setForwardParameters, setPkceEnabled, setPkceMethod, setTokenUrl, setUiLocales, setUserInfoUrl, validate`

    - ### Methods inherited from class org.keycloak.models.IdentityProviderModel

      `getAlias, getConfig, getDisplayName, getFirstBrokerLoginFlowId, getInternalId, getPostBrokerLoginFlowId, getProviderId, getSyncMode, isAddReadTokenRoleOnCreate, isAuthenticateByDefault, isEnabled, isHideOnLogin, isLinkOnly, isLoginHint, isStoreToken, isTrustEmail, setAddReadTokenRoleOnCreate, setAlias, setAuthenticateByDefault, setConfig, setDisplayName, setEnabled, setFirstBrokerLoginFlowId, setHideOnLogin, setInternalId, setLinkOnly, setLoginHint, setPostBrokerLoginFlowId, setProviderId, setStoreToken, setSyncMode, setTrustEmail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenshiftV4IdentityProviderConfig

          public OpenshiftV4IdentityProviderConfig(IdentityProviderModel identityProviderModel)

    - #### OpenshiftV4IdentityProviderConfig

          public OpenshiftV4IdentityProviderConfig()

  - ### Method Detail

    - #### getBaseUrl

          public String getBaseUrl()

    - #### setBaseUrl

          public void setBaseUrl(String baseUrl)

Copyright © 2021 JBoss by Red Hat. All rights reserved.